Debian Bug report logs - #487557
ITP: php-spreadsheet-excel-writer -- PEAR package for

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Stephanie Layton <stephanielayton@mac.com>

Date: Sun, 22 Jun 2008 16:27:01 UTC

Owned by: cyb@debian.org

Severity: wishlist

Fixed in version php-spreadsheet-excel-writer/0.9.3-1

Done: Cyril Bouthors <cyril@bouthors.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>:
Bug#487557; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: submit@bugs.debian.org
Subject: ITP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
Date: Sun, 22 Jun 2008 09:23:32 -0700
Package: wnpp
Owner: Stephanie <stephanielayton@mac.com>
Severity: wishlist

*** Please type your report below this line ***

* Package name    : php-spreadsheet-excel-writer
  Version         : 0.9.1
  Upstream Author : Xavier Noguer <xnoguer.php@gmail.com>
* URL             : http://pear.php.net/package/Spreadsheet_Excel_Writer
* License         : LGPL
  Programming Lang: PHP
  Description     : PEAR package for generating Excel spreadsheets.

Spreadsheet_Excel_Writer was born as a porting of the Spreadsheet::WriteExcel
Perl module to PHP. It allows writing of Excel spreadsheets without the need
for COM objects. It supports formulas, images (BMP) and all kinds of
formatting for text and cells. It currently supports the BIFF5 format (Excel
5.0), so functionality appeared in the latest Excel versions is not yet
available.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-5-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>:
Bug#487557; Package wnpp. (Thu, 13 Aug 2009 13:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephanie Layton <stephanielayton@mac.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>. (Thu, 13 Aug 2009 13:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 487557@bugs.debian.org (full text, mbox):

From: Stephanie Layton <stephanielayton@mac.com>
To: 487557@bugs.debian.org
Subject: Package is complete, currently available via email, next steps...
Date: Thu, 13 Aug 2009 08:55:20 -0400
Current notes on this package:

It is currently in process of being uploaded to ALIOTH public  
repository.  Post peer review/inspection it will be determined if it  
remains at ALIOTH or heads into getting into Debian packages list  
itself.  (Some of the PHP packages have licensing, etc.).

If you would like access to these packages please feel free to email.   
More information will be forthcoming as uploads to public repository  
and other progress...  Thank you.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>:
Bug#487557; Package wnpp. (Sat, 31 Oct 2009 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Artur R. Czechowski" <arturcz@hell.pl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Stephanie <stephanielayton@mac.com>. (Sat, 31 Oct 2009 13:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 487557@bugs.debian.org (full text, mbox):

From: "Artur R. Czechowski" <arturcz@hell.pl>
To: stephanielayton@mac.com
Cc: 487558@bugs.debian.org, 487557@bugs.debian.org
Subject: php-ole and php-spreadsheet-excel-writer
Date: Sat, 31 Oct 2009 14:14:26 +0100
Hello Stephanie,
Any chances those two packages will appear officialy in Debian soon?

Regards
	Artur
-- 
Dekolektywizacja stosunków zarządzanie-praca, którą implikuje deregulacja,
oddziaływać bedzie dysfunkcyjnie
                              /Raport Międzynarodowego Biura Pracy z 1995 roku/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#487557; Package wnpp. (Tue, 17 Nov 2009 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephanie <stephanielayton@mac.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 17 Nov 2009 00:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 487557@bugs.debian.org (full text, mbox):

From: Stephanie <stephanielayton@mac.com>
To: "Artur R. Czechowski" <arturcz@hell.pl>, "487557@bugs.debian.org" <487557@bugs.debian.org>
Cc: "487558@bugs.debian.org" <487558@bugs.debian.org>, "487557@bugs.debian.org" <487557@bugs.debian.org>
Subject: Re: Bug#487557: php-ole and php-spreadsheet-excel-writer
Date: Mon, 16 Nov 2009 18:16:35 -0500
Hi Artur,

Thanks for the email, I hope to be revisiting this situation next week  
and will try to update the bug reports at rhat time.    I do know  
there are licensing issues with php license types.

Stephanie

Sent from my iPhone

On Oct 31, 2009, at 9:14, "Artur R. Czechowski" <arturcz@hell.pl> wrote:

> Hello Stephanie,
> Any chances those two packages will appear officialy in Debian soon?
>
> Regards
>    Artur
> -- 
> Dekolektywizacja stosunków zarządzanie-praca, którą implikuje  
> deregulacja,
> oddziaływać bedzie dysfunkcyjnie
>                              /Raport Międzynarodowego Biura Pracy z  
> 1995 roku/
>
>




Added tag(s) pending. Request was from Elizabeth Krumbach <lyz-guest@alioth.debian.org> to control@bugs.debian.org. (Mon, 28 Dec 2009 20:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Stephanie <stephanielayton@mac.com>:
Bug#487557; Package wnpp. (Sat, 19 Feb 2011 17:58:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Stephanie <stephanielayton@mac.com>. (Sat, 19 Feb 2011 17:58:49 GMT) Full text and rfc822 format available.

Message #27 received at 487557@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 487557@bugs.debian.org
Cc: control@bugs.debian.org
Subject: php-spreadsheet-excel-writer: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:34 +0000
retitle 487557 RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
noowner 487557
thanks

Hi,

This is an automatic email to change the status of php-spreadsheet-excel-writer back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting php-spreadsheet-excel-writer, please send a mail to
<control@bugs.debian.org> with:

 retitle 487557 ITP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
 owner 487557 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <487557@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.' from 'ITP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:49 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Stephanie <stephanielayton@mac.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:10:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487557; Package wnpp. (Thu, 17 Nov 2011 22:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bekir Dogan <bekirdo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 17 Nov 2011 22:48:03 GMT) Full text and rfc822 format available.

Message #36 received at 487557@bugs.debian.org (full text, mbox):

From: Bekir Dogan <bekirdo@gmail.com>
To: pkg-php-pear@lists.alioth.debian.org
Cc: Stephanie <stephanielayton@mac.com>, 487557@bugs.debian.org
Subject: Re: RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
Date: Fri, 18 Nov 2011 00:45:08 +0200
Hi;

We rarely use "pear install" in our company although we have many different php and pear projects. Last month I was looking for Spreadsheet_Excel_Writer (and its OLE dependency) pear package and can't find it.

I thought Spreadsheet_Excel_Writer is not a so rarely used package; and there must be a reason for the lack of this package.

Looked for its package in packages.d.o then wnpp requests and found it has an RFP bug (#487557), it was stuck because of some licence issues in the past (Nov 2009). Is the mentioned problem still exists?

And Spreadsheet_Excel_Writer package is still beta but I found other beta pear packages like php-html-safe, php-net-dime, php-soap, php-text-captcha, php-xajax, php-xml-serializer, so it should not be the reason.

I am also wondering if there is a general policy about pear packages like "we don't encourage making seperate debian packages for every single pear package".

Else I might be the maintainer for this kind of packages.

bekir




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487557; Package wnpp. (Sat, 19 Nov 2011 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 19 Nov 2011 08:33:03 GMT) Full text and rfc822 format available.

Message #41 received at 487557@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: Bekir Dogan <bekirdo@gmail.com>
Cc: pkg-php-pear@lists.alioth.debian.org, 487557@bugs.debian.org
Subject: Re: [pkg-php-pear] RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
Date: Sat, 19 Nov 2011 16:30:30 +0800
On 11/18/2011 06:45 AM, Bekir Dogan wrote:
> Hi;
> 
> We rarely use "pear install" in our company although
> we have many different php and pear projects. Last
> month I was looking for Spreadsheet_Excel_Writer
> (and its OLE dependency) pear package and can't find it.
> 
> I thought Spreadsheet_Excel_Writer is not a so rarely
> used package; and there must be a reason for the lack
> of this package.
> 
> Looked for its package in packages.d.o then wnpp requests
> and found it has an RFP bug (#487557), it was stuck
> because of some licence issues in the past (Nov 2009).
> Is the mentioned problem still exists?

Hi,

On the RFS, it is mentioned the package is under LGPL. I also had a look
at the source code, and indeed, it's really released under LGPL (there's
the license header on each files). So I don't think there's any
licensing issue here.

> And Spreadsheet_Excel_Writer package is still beta but I found
> other beta pear packages like php-html-safe, php-net-dime,
> php-soap, php-text-captcha, php-xajax, php-xml-serializer, so it
> should not be the reason.

The fact that it's written "beta" doesn't mater. What maters is if the
upstream code is well maintained or not. Unfortunately, that doesn't
seem to be the case. There has been no release since 2009, and there's
57 open bugs. Having open bugs isn't an issue in itself, but having zero
reply from upstream in these bug reports *IS VERY* problematic. On top
of that, we are dealing here with some undocumented output (there's no
specification for the Excel format).

So, if I was you, I would first try to ping upstream author about these
issues, see if he replies, and ask why these bug reports received no
care at all in a so long time.

If these aren't addressed, then I don't think it's reasonable to package
this PEAR module in Debian.

> I am also wondering if there is a general policy about pear packages
> like "we don't encourage making seperate debian packages for every
> single pear package".

There's no such policy at all, and each PEAR module can normally be
packaged as a separate Debian package. But of course, we don't want to
just blindly package very single PEAR module without checking that it's
well maintained upstream, and make sure that the Debian packages will be
well maintained too.

> Else I might be the maintainer for this kind of packages.
> 
> bekir

Do you think you'll have also the ability to maintain upstream source
code as well? If so, then there's no problem having this package in
Debian once all the bugs in the pear.php.net website have at least been
answered.

Cheers,

Thomas Goirand (zigo)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#487557; Package wnpp. (Mon, 21 Nov 2011 22:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bekir Dogan <bekirdo@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Nov 2011 22:18:05 GMT) Full text and rfc822 format available.

Message #46 received at 487557@bugs.debian.org (full text, mbox):

From: Bekir Dogan <bekirdo@gmail.com>
To: Thomas Goirand <thomas@goirand.fr>
Cc: pkg-php-pear@lists.alioth.debian.org, 487557@bugs.debian.org
Subject: Re: [pkg-php-pear] RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.
Date: Tue, 22 Nov 2011 00:15:12 +0200
Hi;

On Sat, Nov 19, 2011 at 10:30, Thomas Goirand <thomas@goirand.fr> wrote:
... (cropped) ...
> On the RFS, it is mentioned the package is under LGPL. I also had a look
> at the source code, and indeed, it's really released under LGPL (there's
> the license header on each files). So I don't think there's any
> licensing issue here.

Licensing issues may be related to OLE, the dependent pear package
which is also not packed in Debian also. I don't have any idea about PHP license
and DFSG compliance.

... (cropped) ...

> The fact that it's written "beta" doesn't mater. What maters is if the
> upstream code is well maintained or not. Unfortunately, that doesn't
> seem to be the case. There has been no release since 2009, and there's
> 57 open bugs. Having open bugs isn't an issue in itself, but having zero
> reply from upstream in these bug reports *IS VERY* problematic. On top
> of that, we are dealing here with some undocumented output (there's no
> specification for the Excel format).

I haven't looked all those problem reports in pear bug tracking system,
the package seems like have not been maintaining for a long time.

> So, if I was you, I would first try to ping upstream author about these
> issues, see if he replies, and ask why these bug reports received no
> care at all in a so long time.
>
> If these aren't addressed, then I don't think it's reasonable to package
> this PEAR module in Debian.

... (cropped) ...

> Do you think you'll have also the ability to maintain upstream source
> code as well? If so, then there's no problem having this package in
> Debian once all the bugs in the pear.php.net website have at least been
> answered.

I don't have Windows in my home nor job and I don't think I can maintain the
upstream or I have enough motivation to test and resolve many Windows (Excel)
related issues.

Thank you for your detailed reply, it is an educational reply for me about
Debian approach to making packages.

> Cheers,
>
> Thomas Goirand (zigo)




Owner recorded as cyb@debian.org. Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 14:15:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP php-spreadsheet-excel-writer -- PEAR package for' from 'RFP: php-spreadsheet-excel-writer -- PEAR package for generating Excel spreadsheet.' Request was from Cyril Bouthors <cyb@debian.org> to control@bugs.debian.org. (Fri, 02 Aug 2013 14:15:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: php-spreadsheet-excel-writer -- PEAR package for' from 'ITP php-spreadsheet-excel-writer -- PEAR package for' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Fri, 09 Aug 2013 22:12:10 GMT) Full text and rfc822 format available.

Reply sent to Cyril Bouthors <cyril@bouthors.org>:
You have taken responsibility. (Sun, 01 Sep 2013 22:03:17 GMT) Full text and rfc822 format available.

Notification sent to Stephanie Layton <stephanielayton@mac.com>:
Bug acknowledged by developer. (Sun, 01 Sep 2013 22:03:17 GMT) Full text and rfc822 format available.

Message #57 received at 487557-close@bugs.debian.org (full text, mbox):

From: Cyril Bouthors <cyril@bouthors.org>
To: 487557-close@bugs.debian.org
Subject: Bug#487557: fixed in php-spreadsheet-excel-writer 0.9.3-1
Date: Sun, 01 Sep 2013 22:00:07 +0000
Source: php-spreadsheet-excel-writer
Source-Version: 0.9.3-1

We believe that the bug you reported is fixed in the latest version of
php-spreadsheet-excel-writer, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487557@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Bouthors <cyril@bouthors.org> (supplier of updated php-spreadsheet-excel-writer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 02 Aug 2013 14:49:34 +0200
Source: php-spreadsheet-excel-writer
Binary: php-spreadsheet-excel-writer
Architecture: source all
Version: 0.9.3-1
Distribution: unstable
Urgency: low
Maintainer: Cyril Bouthors <cyb@debian.org>
Changed-By: Cyril Bouthors <cyril@bouthors.org>
Description: 
 php-spreadsheet-excel-writer - ${phppear:summary}
Closes: 487557
Changes: 
 php-spreadsheet-excel-writer (0.9.3-1) unstable; urgency=low
 .
   * Initial Release (closes: #487557).
Checksums-Sha1: 
 dd3c7e96257906efdb1ae4103600dcc4620464e0 1320 php-spreadsheet-excel-writer_0.9.3-1.dsc
 73b48054adaceb3534f812be7fc05208a0b9d5fb 57258 php-spreadsheet-excel-writer_0.9.3.orig.tar.gz
 56d99d8eae567a51a88090c729d3508fa7b82955 1416 php-spreadsheet-excel-writer_0.9.3-1.diff.gz
 9e0d068177eecdd548d7861fec99be4ff9bee732 55162 php-spreadsheet-excel-writer_0.9.3-1_all.deb
Checksums-Sha256: 
 88eec9a208247315e3f905d2f88e2f5ad0afc32fde9dc154ca281c47d3841951 1320 php-spreadsheet-excel-writer_0.9.3-1.dsc
 b708b9f594f358996a9d7ad32fa15fa5e6a12359f097e2bfa28a1ed50b4532f7 57258 php-spreadsheet-excel-writer_0.9.3.orig.tar.gz
 55141852f74b8d5f395fd75a32ba7f2b12b50ef511f37cecc3d474cca29b9836 1416 php-spreadsheet-excel-writer_0.9.3-1.diff.gz
 624723c46ead046d32b0f1f2a760defde654a8bbcd2fc9cc517b2d8e7aa7859a 55162 php-spreadsheet-excel-writer_0.9.3-1_all.deb
Files: 
 38deea0de7591f5399b8e46f7a4ee8fb 1320 php extra php-spreadsheet-excel-writer_0.9.3-1.dsc
 a1c353beb819fa4b7146f5325625774b 57258 php extra php-spreadsheet-excel-writer_0.9.3.orig.tar.gz
 48cf53fb4bf57d6c24191e53fb53829f 1416 php extra php-spreadsheet-excel-writer_0.9.3-1.diff.gz
 02c8e657848f236e63cbdf60c427c9e4 55162 php extra php-spreadsheet-excel-writer_0.9.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iD8DBQFR+73eZ1SJHeqsYt8RAi9gAJ9Xdo62MGv067AfpTtUZ0X4MK1PnQCfQyTR
Gl7zIO3150kcpblDRChLbbE=
=J9ZN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:33:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:46:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.